import React from 'react';
import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
export default function TabularDataTooltipRow({
  row,
  hasSymbol
}) {
  if (row.subTitle) {
    return /*#__PURE__*/_jsx("tr", {
      className: "tabular-data-tooltip-item",
      children: /*#__PURE__*/_jsxs("td", {
        className: "tabular-data-subtitle",
        colSpan: 100,
        children: [row.icon, " ", row.subTitle]
      })
    });
  }
  const symbolCell = hasSymbol ? /*#__PURE__*/_jsx("td", {
    className: "tabular-data-tooltip-symbol",
    children: row.symbol
  }) : null;
  return /*#__PURE__*/_jsxs("tr", {
    className: "tabular-data-tooltip-item",
    "test-id": row.testId,
    children: [symbolCell, /*#__PURE__*/_jsx("td", {
      className: "tabular-data-tooltip-key",
      "test-id": "tabular-data-tooltip-key",
      children: row.key
    }), /*#__PURE__*/_jsx("td", {
      className: "tabular-data-tooltip-value",
      "test-id": "tabular-data-tooltip-value",
      children: row.val
    })]
  });
}